summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2016-09-29 16:42:45 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2016-09-29 22:43:40 -0500
commit19adfded88fa698aa49dd5310b231e9cb57a3ff5 (patch)
tree1f7c14336a06f1350c52b08df7a9d1c9e3cbf612 /dev-python/oslo-db
parentsci-libs/blas-reference: ebuild maintenance, cleanup (diff)
downloadgentoo-19adfded88fa698aa49dd5310b231e9cb57a3ff5.tar.gz
gentoo-19adfded88fa698aa49dd5310b231e9cb57a3ff5.tar.bz2
gentoo-19adfded88fa698aa49dd5310b231e9cb57a3ff5.zip
add initial support for newton (keystone)
dropped py3.3 and updated most (maybe all) to eapi6
Diffstat (limited to 'dev-python/oslo-db')
-rw-r--r--dev-python/oslo-db/Manifest1
-rw-r--r--dev-python/oslo-db/oslo-db-4.13.3.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/oslo-db/Manifest b/dev-python/oslo-db/Manifest
index 3391e1da7ab..d45eb782c67 100644
--- a/dev-python/oslo-db/Manifest
+++ b/dev-python/oslo-db/Manifest
@@ -1 +1,2 @@
+DIST oslo.db-4.13.3.tar.gz 147300 SHA256 67c150a269a7752827325998aa59494b0e49205127cf3f3f78b23a07810d39fd SHA512 4bc353523ca8099b4d563fd836876e73496f77ec77fb346d1796c93684951dd29d24dda01b87606d5ee047eebe508ef5735dcea7183a0a06feb24338ab4f92e4 WHIRLPOOL 7aa2d45c84ee25e13a9004fe318e28a5f7875884f6392dd76f2a23627524dd80d7d51b30ad54f4694cb31b86544924d3c97936ab167ee6f9249071df515c77ce
DIST oslo.db-4.7.1.tar.gz 140778 SHA256 a39e091e4d06c757dd6249f121e2ae1babef595f451f7ff56110c0be718d0d8c SHA512 0df3a715ee7742ff51bcc2c291cff3076de33cb57e47fbe23ffc0649a85130a6f6a27928a1452b4087b3bacec9e8cc35e0a69fb012df494e7254b6ad7b349b59 WHIRLPOOL 4bb8751107705e46e164d47306e814d9864074e61e23220313bc5d9099d42a81545b352d960731b579eac69f02e3674cb032baafed8715e974ae2eeb59b354a7
diff --git a/dev-python/oslo-db/oslo-db-4.13.3.ebuild b/dev-python/oslo-db/oslo-db-4.13.3.ebuild
new file mode 100644
index 00000000000..306e70a4ca9
--- /dev/null
+++ b/dev-python/oslo-db/oslo-db-4.13.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5)
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Common DB Code"
+HOMEPAGE="https://launchpad.net/oslo"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.db/oslo.db-${PV}.tar.gz"
+S="${WORKDIR}/oslo.db-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+sqlite mysql postgres"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/pbr-1.6.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ >=dev-python/alembic-0.8.4[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
+ sqlite? (
+ || (
+ >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
+ )
+ )
+ mysql? (
+ dev-python/mysql-python
+ || (
+ >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ )
+ )
+ postgres? (
+ dev-python/psycopg:2
+ || (
+ >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ )
+ )
+ >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.16.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"